Loading...
Searching...
No Matches
juce::InterProcessLock Class Reference

`#include <juce_InterProcessLock.h>`

## Classes

class | ScopedLockType

## Public Member Functions

| InterProcessLock (const String &name)
| ~InterProcessLock ()
bool | enter (int timeOutMillisecs=-1)
void | exit ()

## Detailed Description

Acts as a critical section which processes can use to block each other.

See also
  CriticalSection

Definition at line 34 of file juce_InterProcessLock.h.

## Constructor & Destructor Documentation

## InterProcessLock()

juce::InterProcessLock::InterProcessLock | ( | const String & | name | ) |

explicit

Creates a lock object.

Parameters

  name | a name that processes will use to identify this lock object

Referenced by juce::InterProcessLock::ScopedLockType::ScopedLockType().

## ~InterProcessLock()

juce::InterProcessLock::~InterProcessLock | ( |  | ) |

Destructor. This will also release the lock if it's currently held by this process.

## Member Function Documentation

## enter()

bool juce::InterProcessLock::enter | ( | int | timeOutMillisecs = -1 | ) |

Attempts to lock the critical section.

Parameters

  timeOutMillisecs | how many milliseconds to wait if the lock is already held by another process - a value of 0 will return immediately, negative values will wait forever

Returns
  true if the lock could be gained within the timeout period, or false if the timeout expired.

Referenced by juce::InterProcessLock::ScopedLockType::ScopedLockType().

## exit()

void juce::InterProcessLock::exit | ( |  | ) |

Releases the lock if it's currently held by this process.

The documentation for this class was generated from the following file:

- juce_InterProcessLock.h